// This file is auto-generated by @hey-api/openapi-ts

export type AnonymizedWorkflowExecution = {
  /**
   * ID of the workflow execution
   */
  workflow_execution_id: string;
  /**
   * Anonymized user ID of the user who ran the workflow execution
   */
  pseudo_uid: string;
  /**
   * ID of the workflow mode this workflow execution ran in
   */
  workflow_mode_id?: string | null;
  /**
   * Hash of the git commit
   */
  workflow_version_id: string;
  /**
   * Day of the workflow execution
   */
  started_at: string;
  /**
   * ID of the workflow
   */
  workflow_id: string;
  /**
   * ID of developer of the workflow
   */
  developer_id: string;
  /**
   * End status of the workflow execution
   */
  status: WorkflowExecutionStatus;
};

export type ApiTokenIn = {
  /**
   * Short name for the API token
   */
  name: string;
  /**
   * Unix timestamp when the token should expire
   */
  expires_at?: number | null;
  /**
   * List of scopes this Api token has
   */
  scopes: Array<"read" | "write">;
};

export type ApiTokenOut = {
  /**
   * Short name for the API token
   */
  name: string;
  /**
   * Unix timestamp when the token should expire
   */
  expires_at?: number | null;
  /**
   * List of scopes this Api token has
   */
  scopes: Array<"read" | "write">;
  /**
   * The ID of the token
   */
  token_id: string;
  /**
   * The ID of the owner
   */
  uid: string;
  /**
   * The UNIX timestamp when this token was created
   */
  created_at: number;
  /**
   * The UNIX timestamp when this token was used the last time
   */
  last_used?: number | null;
};

export type ApiTokenPrivateOut = {
  /**
   * Short name for the API token
   */
  name: string;
  /**
   * Unix timestamp when the token should expire
   */
  expires_at?: number | null;
  /**
   * List of scopes this Api token has
   */
  scopes: Array<"read" | "write">;
  /**
   * The ID of the token
   */
  token_id: string;
  /**
   * The ID of the owner
   */
  uid: string;
  /**
   * The UNIX timestamp when this token was created
   */
  created_at: number;
  /**
   * The UNIX timestamp when this token was used the last time
   */
  last_used?: number | null;
  /**
   * The actual token used for authentication
   */
  token: string;
};

export type BodyBucketUpdateBucketPublicState = {
  /**
   * New public state
   */
  public: boolean;
};

export type BodyWorkflowVersionUploadWorkflowVersionIcon = {
  /**
   * Icon for the Workflow.
   */
  icon: Blob | File;
};

/**
 * Schema for creating a new bucket.
 */
export type BucketIn = {
  /**
   * Name of the bucket
   */
  name: string;
  /**
   * Description of the bucket
   */
  description: string;
};

/**
 * Schema for answering a request with a bucket.
 */
export type BucketOut = {
  /**
   * Size limit of the bucket in KiB
   */
  size_limit?: number | null;
  /**
   * Number of objects limit of the bucket
   */
  object_limit?: number | null;
  /**
   * Name of the bucket
   */
  name: string;
  /**
   * Description of the bucket
   */
  description: string;
  /**
   * UNIX timestamp when the bucket was created
   */
  created_at: number;
  /**
   * UID of the owner
   */
  owner_id: string | null;
  /**
   * Flag if the bucket is anonymously readable
   */
  public: boolean;
};

export type BucketPermissionIn = {
  /**
   * Start date of permission as UNIX timestamp
   */
  from_timestamp?: number | null;
  /**
   * End date of permission as UNIX timestamp
   */
  to_timestamp?: number | null;
  /**
   * Prefix of subfolder
   */
  file_prefix?: string | null;
  /**
   * Scopes of the bucket permission
   */
  scopes: Array<"read" | "write">;
  /**
   * UID of the grantee
   */
  uid: string;
  /**
   * Name of Bucket
   */
  bucket_name: string;
};

/**
 * Schema for the bucket permissions.
 */
export type BucketPermissionOut = {
  /**
   * Start date of permission as UNIX timestamp
   */
  from_timestamp?: number | null;
  /**
   * End date of permission as UNIX timestamp
   */
  to_timestamp?: number | null;
  /**
   * Prefix of subfolder
   */
  file_prefix?: string | null;
  /**
   * Scopes of the bucket permission
   */
  scopes: Array<"read" | "write">;
  /**
   * UID of the grantee
   */
  uid: string;
  /**
   * Name of Bucket
   */
  bucket_name: string;
};

/**
 * Schema for the parameters of a bucket permission.
 */
export type BucketPermissionParameters = {
  /**
   * Start date of permission as UNIX timestamp
   */
  from_timestamp?: number | null;
  /**
   * End date of permission as UNIX timestamp
   */
  to_timestamp?: number | null;
  /**
   * Prefix of subfolder
   */
  file_prefix?: string | null;
  /**
   * Scopes of the bucket permission
   */
  scopes: Array<"read" | "write">;
};

/**
 * Schema to represent bucket limits.
 */
export type BucketSizeLimits = {
  /**
   * Size limit of the bucket in KiB
   */
  size_limit?: number | null;
  /**
   * Number of objects limit of the bucket
   */
  object_limit?: number | null;
};

/**
 * Enumeration for the type of buckets to fetch from the DB
 *
 * OWN: Only fetch buckets that the user owns
 * PERMISSION: Only fetch foreign buckets that the user has access to
 * ALL: Fetch all buckets that the user has access to
 */
export enum BucketType {
  OWN = "OWN",
  ALL = "ALL",
  PERMISSION = "PERMISSION",
}

export type DevWorkflowExecutionIn = {
  /**
   * Parameters for this workflow
   */
  parameters: {
    [key: string]: unknown;
  };
  /**
   * S3 Path where to save logs and reports. If None, nothing will be uploaded.
   */
  logs_s3_path?: string | null;
  /**
   * S3 Path where to save provenance information. If None, nothing will be uploaded.
   */
  provenance_s3_path?: string | null;
  /**
   * S3 Path where to save debug information from Nextflow. If None, nothing will be uploaded.
   */
  debug_s3_path?: string | null;
  /**
   * Hash of the git commit
   */
  git_commit_hash: string;
  /**
   * URL to the Git repository belonging to this workflow
   */
  repository_url: string;
  /**
   * Token to access the content git repository
   */
  token?: string | null;
  /**
   * Mode of the workflow with an alternative entrypoint
   */
  mode?: WorkflowModeIn | null;
  /**
   * The version of Nextflow this workflow execution requires
   */
  nextflow_version: NextflowVersion;
};

export enum DocumentationEnum {
  USAGE_MD = "usage.md",
  INPUT_MD = "input.md",
  OUTPUT_MD = "output.md",
  CHANGELOG_MD = "changelog.md",
  PARAMETER_SCHEMA_JSON = "parameter_schema.json",
  CLOWM_INFO_JSON = "clowm_info.json",
  CITATIONS_MD = "CITATIONS.md",
}

export type FileTree = {
  type: "file" | "directory" | "link";
  name: string;
  target?: string | null;
  contents?: Array<FileTree> | null;
  size: number;
};

export type HttpValidationError = {
  detail?: Array<ValidationError>;
};

export type IconUpdateOut = {
  /**
   * URL to the uploaded icon
   */
  icon_url: string;
};

export type InstanceSpecificDefaultParameters = {
  [key: string]: string | number | number | boolean;
};

export type NewsIn = {
  /**
   * Content of the news. Can contain Markdown.
   */
  content: string;
  /**
   * Title of the news
   */
  title: string;
  /**
   * UNIX timestamp till the news is important.
   */
  important_till?: number | null;
  /**
   * Category of the news event
   */
  category?: "workflow" | "resource" | "system";
};

export type NewsOut = {
  /**
   * Content of the news. Can contain Markdown.
   */
  content: string;
  /**
   * Title of the news
   */
  title: string;
  /**
   * UNIX timestamp till the news is important.
   */
  important_till?: number | null;
  /**
   * Category of the news event
   */
  category: "workflow" | "resource" | "system";
  /**
   * ID of the news event
   */
  news_id: string;
  /**
   * ID of the creator
   */
  creator_id?: string | null;
  /**
   * UNIX timestamp when the bucket was created
   */
  created_at: number;
};

export enum NextflowVersion {
  "22_10_0" = "22.10.0",
  "22_10_1" = "22.10.1",
  "22_10_2" = "22.10.2",
  "22_10_3" = "22.10.3",
  "22_10_4" = "22.10.4",
  "22_10_5" = "22.10.5",
  "22_10_6" = "22.10.6",
  "22_10_7" = "22.10.7",
  "22_10_8" = "22.10.8",
  "23_04_0" = "23.04.0",
  "23_04_1" = "23.04.1",
  "23_04_2" = "23.04.2",
  "23_04_3" = "23.04.3",
  "23_04_4" = "23.04.4",
  "23_04_5" = "23.04.5",
  "23_10_0" = "23.10.0",
  "23_10_1" = "23.10.1",
  "23_10_2" = "23.10.2",
  "23_10_3" = "23.10.3",
  "23_10_4" = "23.10.4",
  "24_04_1" = "24.04.1",
  "24_04_2" = "24.04.2",
  "24_04_3" = "24.04.3",
  "24_04_4" = "24.04.4",
  "24_10_0" = "24.10.0",
  "24_10_1" = "24.10.1",
  "24_10_2" = "24.10.2",
  "24_10_3" = "24.10.3",
  "24_10_4" = "24.10.4",
}

export enum OidcProvider {
  LIFESCIENCE_AAI = "lifescience-aai",
  NFDI_AAI = "nfdi-aai",
}

export type OwnershipTransferRequestIn = {
  /**
   * The new owner that get the request
   */
  new_owner_uid: string;
  /**
   * An optional comment for the transfer request
   */
  comment?: string | null;
};

export type OwnershipTransferRequestOut = {
  /**
   * The new owner that get the request
   */
  new_owner_uid: string;
  /**
   * An optional comment for the transfer request
   */
  comment?: string;
  /**
   * Time when the ownership transfer was requested as UNIX timestamp
   */
  created_at: number;
  /**
   * The current uid of the current owner if he exists
   */
  current_owner_uid?: string | null;
  /**
   * Id of the target that gets its ownership transferred
   */
  target_id: string;
  /**
   * Name of the target
   */
  target_name: string;
  /**
   * Description of then target
   */
  target_description: string;
  /**
   * Target type of the ownership transfer
   */
  target_type: OwnershipTypeEnum;
};

export enum OwnershipTypeEnum {
  BUCKET = "bucket",
  WORKFLOW = "workflow",
  RESOURCE = "resource",
}

export type ParameterExtensionInput = {
  /**
   * The inner dictionary contains the display name as key and the parameter value as value. The outer dictionary has the parameter name as key.
   */
  mapping?: {
    [key: string]: {
      [key: string]: string | number | number;
    };
  };
  /**
   * Dictionary with parameter name as key and default value as value
   */
  defaults?: InstanceSpecificDefaultParameters;
  parameter_visibility?: ParameterVisibilityMapping;
};

export type ParameterExtensionOutput = {
  /**
   * The inner dictionary contains the display name as key and the parameter value as value. The outer dictionary has the parameter name as key.
   */
  mapping?: {
    [key: string]: {
      [key: string]: string | number | number;
    };
  };
  /**
   * Dictionary with parameter name as key and default value as value
   */
  defaults?: InstanceSpecificDefaultParameters;
  parameter_visibility?: ParameterVisibilityMapping;
};

export enum ParameterVisibility {
  SIMPLE = 10,
  ADVANCED = 20,
  EXPERT = 30,
  INVISIBLE = 40,
}

export type ParameterVisibilityMapping = {
  [key: string]: ParameterVisibility;
};

/**
 * Status of a bucket permission. Can be either `ACTIVE` or `INACTIVE`. A permission can only get `INACTIVE` if the
 * permission itself has a time limit and the current time is not in the timespan.
 */
export enum PermissionStatus {
  ACTIVE = "ACTIVE",
  INACTIVE = "INACTIVE",
}

export type PublicWorkflowOut = {
  /**
   * Short descriptive name of the workflow
   */
  name: string;
  /**
   * Short description of the workflow
   */
  short_description: string;
  /**
   * URL to the Git repository belonging to this workflow
   */
  repository_url: string;
  /**
   * ID of the workflow
   */
  workflow_id: string;
  /**
   * Hash of the git commit
   */
  latest_git_commit_hash: string;
  /**
   * Version of the Workflow. Should follow semantic versioning
   */
  latest_version_tag: string;
  /**
   * Name of the developer
   */
  developer?: string;
  /**
   * Timestamp when the last version was created as UNIX timestamp
   */
  latest_version_timestamp: number;
  /**
   * URL to the workflow icon
   */
  icon_url: string | null;
};

export type ResourceIn = {
  /**
   * Short tag describing the version of the resource
   */
  release: string;
  /**
   * Short Name for the resource
   */
  name: string;
  /**
   * Short description for this resource
   */
  description: string;
  /**
   * A link or similar where the resource originates from
   */
  source: string;
  /**
   * Flag if this resource should be default visible in the UI
   */
  private?: boolean;
};

export type ResourceOut = {
  /**
   * Short Name for the resource
   */
  name: string;
  /**
   * Short description for this resource
   */
  description: string;
  /**
   * A link or similar where the resource originates from
   */
  source: string;
  /**
   * Flag if this resource should be default visible in the UI
   */
  private?: boolean;
  /**
   * ID of the resource
   */
  resource_id: string;
  /**
   * ID of the maintainer
   */
  maintainer_id: string | null;
  /**
   * Versions of the resource
   */
  versions: Array<ResourceVersionOut>;
};

export type ResourceVersionIn = {
  /**
   * Short tag describing the version of the resource
   */
  release: string;
};

export type ResourceVersionOut = {
  /**
   * Short tag describing the version of the resource
   */
  release: string;
  /**
   * Status of the resource version
   */
  status: ResourceVersionStatus;
  /**
   * ID of the resource version
   */
  resource_version_id: string;
  /**
   * ID of the resource
   */
  resource_id: string;
  /**
   * Timestamp when the version was created as UNIX timestamp
   */
  created_at: number;
  /**
   * Size of the compressed resource in bytes
   */
  compressed_size: number;
  /**
   * Path to the resource on the cluster if the resource is synchronized
   */
  readonly cluster_path: string;
  /**
   * Path to the resource in the S3 Bucket. Not publicly available.
   */
  readonly s3_path: string;
};

/**
 * Enumeration for the possible status of a resource version.
 */
export enum ResourceVersionStatus {
  RESOURCE_REQUESTED = "RESOURCE_REQUESTED",
  WAIT_FOR_REVIEW = "WAIT_FOR_REVIEW",
  DENIED = "DENIED",
  APPROVED = "APPROVED",
  SYNC_REQUESTED = "SYNC_REQUESTED",
  SYNCHRONIZING = "SYNCHRONIZING",
  SYNC_ERROR = "SYNC_ERROR",
  SYNCHRONIZED = "SYNCHRONIZED",
  SETTING_LATEST = "SETTING_LATEST",
  LATEST = "LATEST",
  CLUSTER_DELETING = "CLUSTER_DELETING",
  CLUSTER_DELETE_ERROR = "CLUSTER_DELETE_ERROR",
  S3_DELETING = "S3_DELETING",
  S3_DELETE_ERROR = "S3_DELETE_ERROR",
  S3_DELETED = "S3_DELETED",
}

export enum RoleEnum {
  ADMINISTRATOR = "administrator",
  USER = "user",
  REVIEWER = "reviewer",
  DEVELOPER = "developer",
  DB_MAINTAINER = "db_maintainer",
}

/**
 * Schema for a S3 key associated with a user.
 */
export type S3Key = {
  /**
   * UID of the user of that access key
   */
  uid: string;
  /**
   * ID of the S3 access key
   */
  access_key: string;
  /**
   * Secret of the S3 access key
   */
  secret_key: string;
};

export type UserIn = {
  /**
   * Full Name of the user
   */
  display_name: string;
  roles?: Array<RoleEnum>;
  /**
   * Email of the user
   */
  email: string;
};

/**
 * Schema for a user.
 */
export type UserOut = {
  /**
   * Full Name of the user
   */
  display_name: string;
  /**
   * ID of the user
   */
  uid: string;
};

export type UserOutExtended = {
  /**
   * Roles of the user
   */
  roles: Array<RoleEnum>;
  /**
   * Full Name of the user
   */
  display_name: string;
  /**
   * ID of the user
   */
  uid: string;
  /**
   * Lifesicence AAI ID of the user
   */
  lifescience_id?: string | null;
  /**
   * NFDI AAI ID of the user
   */
  nfdi_id?: string | null;
  /**
   * Timestamp when the invitation token was created as UNIX timestamp
   */
  invitation_token_created_at?: number | null;
  /**
   * Email of the user
   */
  email?: string | null;
  /**
   * Timestamp when the user last logged in
   */
  last_login?: number | null;
  /**
   * URL to the gravatar avatar based on the users email
   */
  readonly gravatar_url: string;
};

export type UserRequestAnswer = {
  /**
   * Flag to indicate if the request was denied.
   */
  deny?: boolean;
  /**
   * Reason why the request was denied or approved. Required if request is denied.
   */
  reason?: string | null;
};

export type UserRoles = {
  /**
   * Roles of the user
   */
  roles: Array<RoleEnum>;
};

export type UserSynchronizationRequestIn = {
  /**
   * Reason why the request was requested.
   */
  reason: string;
};

export type UserSynchronizationRequestOut = {
  /**
   * Reason why the request was requested.
   */
  reason: string;
  /**
   * ID of the resource version
   */
  resource_version_id: string;
  /**
   * ID of the resource
   */
  resource_id: string;
  /**
   * ID of the user that requested this resource synchronization
   */
  requester_id: string;
};

export type ValidationError = {
  loc: Array<string | number>;
  msg: string;
  type: string;
};

export type WorkflowCredentialsIn = {
  /**
   * Token to access the content git repository
   */
  token: string;
};

export type WorkflowCredentialsOut = {
  /**
   * Token to access the content git repository
   */
  token?: string | null;
};

export type WorkflowExecutionIn = {
  /**
   * Parameters for this workflow
   */
  parameters: {
    [key: string]: unknown;
  };
  /**
   * S3 Path where to save logs and reports. If None, nothing will be uploaded.
   */
  logs_s3_path?: string | null;
  /**
   * S3 Path where to save provenance information. If None, nothing will be uploaded.
   */
  provenance_s3_path?: string | null;
  /**
   * S3 Path where to save debug information from Nextflow. If None, nothing will be uploaded.
   */
  debug_s3_path?: string | null;
  /**
   * Workflow version git commit hash
   */
  workflow_version_id: string;
  /**
   * Optional notes for this workflow execution
   */
  notes?: string | null;
  /**
   * ID of the workflow mode this workflow execution runs in
   */
  mode_id?: string | null;
};

export type WorkflowExecutionOut = {
  /**
   * Workflow version git commit hash
   */
  workflow_version_id?: string | null;
  /**
   * Optional notes for this workflow execution
   */
  notes?: string | null;
  /**
   * ID of the workflow mode this workflow execution runs in
   */
  mode_id?: string | null;
  /**
   * ID of the workflow execution
   */
  execution_id: string;
  /**
   * UID of user who started the workflow
   */
  executor_id?: string | null;
  /**
   * Start time of the workflow execution as UNIX timestamp
   */
  start_time: number;
  /**
   * End time of the workflow execution as UNIX timestamp
   */
  end_time?: number | null;
  /**
   * Status of the workflow execution
   */
  status: WorkflowExecutionStatus;
  /**
   * Id of the workflow
   */
  workflow_id?: string | null;
  /**
   * S3 Path where logs and reports are saved.
   */
  logs_s3_path?: string | null;
  /**
   * S3 Path where provenance information is saved.
   */
  provenance_s3_path?: string | null;
  /**
   * S3 Path where debug information from Nextflow is saved.
   */
  debug_s3_path?: string | null;
  /**
   * The consumed cpu time in ISO 8601 format
   */
  cpu_time: string;
};

/**
 * Enumeration for the status on a workflow execution.
 */
export enum WorkflowExecutionStatus {
  PENDING = "PENDING",
  SCHEDULED = "SCHEDULED",
  RUNNING = "RUNNING",
  CANCELED = "CANCELED",
  SUCCESS = "SUCCESS",
  ERROR = "ERROR",
}

export type WorkflowIn = {
  /**
   * Short descriptive name of the workflow
   */
  name: string;
  /**
   * Short description of the workflow
   */
  short_description: string;
  /**
   * URL to the Git repository belonging to this workflow
   */
  repository_url: string;
  /**
   * Hash of the git commit
   */
  git_commit_hash: string;
  /**
   * Version of the Workflow. Should follow semantic versioning
   */
  initial_version: string;
  /**
   * Token to access the content git repository
   */
  token?: string | null;
  /**
   * List of modes with alternative entrypoint the new workflow has
   */
  modes?: Array<WorkflowModeIn>;
  /**
   * The version of Nextflow this workflow version requires.
   */
  nextflow_version: NextflowVersion;
};

export type WorkflowModeIn = {
  /**
   * Path to the alternative parameter schema
   */
  schema_path: string;
  /**
   * Name of the process the workflow should start with. Argument to the parameter '-entry'
   */
  entrypoint: string;
  /**
   * Name of the workflow mode
   */
  name: string;
};

export type WorkflowModeOut = {
  /**
   * Path to the alternative parameter schema
   */
  schema_path: string;
  /**
   * Name of the process the workflow should start with. Argument to the parameter '-entry'
   */
  entrypoint: string;
  /**
   * Name of the workflow mode
   */
  name: string;
  /**
   * ID of the workflow mode
   */
  mode_id: string;
};

export type WorkflowOut = {
  /**
   * Short descriptive name of the workflow
   */
  name: string;
  /**
   * Short description of the workflow
   */
  short_description: string;
  /**
   * URL to the Git repository belonging to this workflow
   */
  repository_url: string;
  /**
   * ID of the workflow
   */
  workflow_id: string;
  /**
   * Versions of the workflow
   */
  versions: Array<WorkflowVersionOut>;
  /**
   * ID of developer of the workflow
   */
  developer_id?: string | null;
  /**
   * Flag if the workflow is hosted in a private git repository
   */
  private?: boolean;
};

export type WorkflowStatistic = {
  /**
   * Day of the datapoint
   */
  day: string;
  /**
   * Number of started workflows on that day
   */
  count: number;
};

export type WorkflowUpdate = {
  /**
   * Version of the Workflow. Should follow semantic versioning
   */
  version: string;
  /**
   * Hash of the git commit
   */
  git_commit_hash: string;
  /**
   * Add modes to the new workflow version
   */
  append_modes?: Array<WorkflowModeIn>;
  /**
   * Delete modes for the new workflow version.
   */
  delete_modes?: Array<string>;
};

export type WorkflowVersionMetadataIn = {
  /**
   * The version of Nextflow this workflow version requires.
   */
  nextflow_version: NextflowVersion;
  /**
   * Nextflow config that overrides the config in the git repository
   */
  nextflow_config?: string | null;
  /**
   * Default container to use for all Nextflow processes that have to container specified
   */
  default_container?: string | null;
};

export type WorkflowVersionMetadataOut = {
  /**
   * The version of Nextflow this workflow version requires.
   */
  nextflow_version: NextflowVersion;
  /**
   * Nextflow config that overrides the config in the git repository
   */
  nextflow_config?: string | null;
  /**
   * Default container to use for all Nextflow processes that have to container specified
   */
  default_container?: string | null;
};

export type WorkflowVersionOut = {
  /**
   * Status of the workflow version
   */
  status: WorkflowVersionStatus;
  /**
   * ID of the corresponding workflow
   */
  workflow_id: string;
  /**
   * Version of the Workflow. Should follow semantic versioning
   */
  version: string;
  /**
   * URL to the uploaded icon
   */
  icon_url?: string | null;
  /**
   * Hash of the git commit
   */
  workflow_version_id: string;
  /**
   * Timestamp when the version was created as UNIX timestamp
   */
  created_at: number;
  /**
   * Optional modes his workflow version has
   */
  modes?: Array<string>;
  /**
   * Parameter extension specific for this CloWM instance
   */
  parameter_extension?: ParameterExtensionOutput | null;
  /**
   * The version of Nextflow this workflow version requires.
   */
  nextflow_version: NextflowVersion;
};

/**
 * Enumeration for the possible status of a workflow version.
 */
export enum WorkflowVersionStatus {
  CREATED = "CREATED",
  DENIED = "DENIED",
  PUBLISHED = "PUBLISHED",
  DEPRECATED = "DEPRECATED",
}

export type WorkflowVersionStatusSchema = {
  /**
   * Status of the workflow version
   */
  status: WorkflowVersionStatus;
};

export type AuthKickstartLoginData = {
  body?: never;
  path: {
    /**
     * The OIDC provider to use for login
     */
    provider: OidcProvider;
  };
  query?: {
    /**
     * Unique token to validate an invitation
     */
    invitation_token?: string | null;
    /**
     * Will be appended to redirect response in the callback route as URL query parameter `next`
     */
    next?: string | null;
  };
  url: "/auth/login/{provider}";
};

export type AuthKickstartLoginErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type AuthKickstartLoginError =
  AuthKickstartLoginErrors[keyof AuthKickstartLoginErrors];

export type AuthLoginCallbackData = {
  body?: never;
  path: {
    provider: OidcProvider;
  };
  query?: never;
  url: "/auth/login/callback/{provider}";
};

export type AuthLoginCallbackErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type AuthLoginCallbackError =
  AuthLoginCallbackErrors[keyof AuthLoginCallbackErrors];

export type AuthKickstartAccountConnectionData = {
  body?: never;
  path: {
    /**
     * The OIDC provider to use for login
     */
    provider: OidcProvider;
  };
  query?: never;
  url: "/auth/account/connect/{provider}";
};

export type AuthKickstartAccountConnectionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type AuthKickstartAccountConnectionError =
  AuthKickstartAccountConnectionErrors[keyof AuthKickstartAccountConnectionErrors];

export type AuthAccountConnectionCallbackData = {
  body?: never;
  path: {
    provider: OidcProvider;
  };
  query?: never;
  url: "/auth/account/callback/{provider}";
};

export type AuthAccountConnectionCallbackErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type AuthAccountConnectionCallbackError =
  AuthAccountConnectionCallbackErrors[keyof AuthAccountConnectionCallbackErrors];

export type AuthLogoutData = {
  body?: never;
  path?: never;
  query?: never;
  url: "/auth/logout";
};

export type ApiTokenListTokenData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * UID of the user to filter for. Permission `api_token:list` required if current users is the target.
     */
    uid?: string | null;
  };
  url: "/ui/tokens";
};

export type ApiTokenListTokenErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ApiTokenListTokenError =
  ApiTokenListTokenErrors[keyof ApiTokenListTokenErrors];

export type ApiTokenListTokenResponses = {
  /**
   * Successful Response
   */
  200: Array<ApiTokenOut>;
};

export type ApiTokenListTokenResponse =
  ApiTokenListTokenResponses[keyof ApiTokenListTokenResponses];

export type ApiTokenCreateTokenData = {
  /**
   * Meta-data for Api token to create
   */
  body: ApiTokenIn;
  path?: never;
  query?: never;
  url: "/ui/tokens";
};

export type ApiTokenCreateTokenErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ApiTokenCreateTokenError =
  ApiTokenCreateTokenErrors[keyof ApiTokenCreateTokenErrors];

export type ApiTokenCreateTokenResponses = {
  /**
   * Successful Response
   */
  201: ApiTokenPrivateOut;
};

export type ApiTokenCreateTokenResponse =
  ApiTokenCreateTokenResponses[keyof ApiTokenCreateTokenResponses];

export type ApiTokenDeleteTokenData = {
  body?: never;
  path: {
    /**
     * ID of an API token
     */
    tid: string;
  };
  query?: never;
  url: "/ui/tokens/{tid}";
};

export type ApiTokenDeleteTokenErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ApiTokenDeleteTokenError =
  ApiTokenDeleteTokenErrors[keyof ApiTokenDeleteTokenErrors];

export type ApiTokenDeleteTokenResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type ApiTokenDeleteTokenResponse =
  ApiTokenDeleteTokenResponses[keyof ApiTokenDeleteTokenResponses];

export type ApiTokenGetTokenData = {
  body?: never;
  path: {
    /**
     * ID of an API token
     */
    tid: string;
  };
  query?: never;
  url: "/ui/tokens/{tid}";
};

export type ApiTokenGetTokenErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ApiTokenGetTokenError =
  ApiTokenGetTokenErrors[keyof ApiTokenGetTokenErrors];

export type ApiTokenGetTokenResponses = {
  /**
   * Successful Response
   */
  200: ApiTokenOut;
};

export type ApiTokenGetTokenResponse =
  ApiTokenGetTokenResponses[keyof ApiTokenGetTokenResponses];

export type UserListUsersData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * Filter users by a substring in their name.
     */
    name_substring?: string | null;
    /**
     * Filter users by their role. If multiple are selected, they are concatenating by an OR Expression.
     */
    filter_roles?: Array<RoleEnum> | null;
  };
  url: "/ui/users";
};

export type UserListUsersErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type UserListUsersError = UserListUsersErrors[keyof UserListUsersErrors];

export type UserListUsersResponses = {
  /**
   * Successful Response
   */
  200: Array<UserOutExtended>;
};

export type UserListUsersResponse =
  UserListUsersResponses[keyof UserListUsersResponses];

export type UserCreateUserData = {
  /**
   * Meta-data for user to create
   */
  body: UserIn;
  path?: never;
  query?: never;
  url: "/ui/users";
};

export type UserCreateUserErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type UserCreateUserError =
  UserCreateUserErrors[keyof UserCreateUserErrors];

export type UserCreateUserResponses = {
  /**
   * Successful Response
   */
  201: UserOutExtended;
};

export type UserCreateUserResponse =
  UserCreateUserResponses[keyof UserCreateUserResponses];

export type UserSearchUsersData = {
  body?: never;
  path?: never;
  query: {
    /**
     * Filter users by a substring in their name.
     */
    name_substring: string;
  };
  url: "/ui/users/search";
};

export type UserSearchUsersErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type UserSearchUsersError =
  UserSearchUsersErrors[keyof UserSearchUsersErrors];

export type UserSearchUsersResponses = {
  /**
   * Successful Response
   */
  200: Array<UserOut>;
};

export type UserSearchUsersResponse =
  UserSearchUsersResponses[keyof UserSearchUsersResponses];

export type UserGetLoggedInUserData = {
  body?: never;
  path?: never;
  query?: never;
  url: "/ui/users/me";
};

export type UserGetLoggedInUserResponses = {
  /**
   * Successful Response
   */
  200: UserOutExtended;
};

export type UserGetLoggedInUserResponse =
  UserGetLoggedInUserResponses[keyof UserGetLoggedInUserResponses];

export type UserDeleteUserData = {
  body?: never;
  path: {
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: never;
  url: "/ui/users/{uid}";
};

export type UserDeleteUserErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type UserDeleteUserError =
  UserDeleteUserErrors[keyof UserDeleteUserErrors];

export type UserDeleteUserResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type UserDeleteUserResponse =
  UserDeleteUserResponses[keyof UserDeleteUserResponses];

export type UserGetUserData = {
  body?: never;
  path: {
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: never;
  url: "/ui/users/{uid}";
};

export type UserGetUserErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type UserGetUserError = UserGetUserErrors[keyof UserGetUserErrors];

export type UserGetUserResponses = {
  /**
   * Successful Response
   */
  200: UserOut;
};

export type UserGetUserResponse =
  UserGetUserResponses[keyof UserGetUserResponses];

export type UserUpdateRolesData = {
  /**
   * The new roles of the user
   */
  body: UserRoles;
  path: {
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: never;
  url: "/ui/users/{uid}/roles";
};

export type UserUpdateRolesErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type UserUpdateRolesError =
  UserUpdateRolesErrors[keyof UserUpdateRolesErrors];

export type UserUpdateRolesResponses = {
  /**
   * Successful Response
   */
  200: UserOutExtended;
};

export type UserUpdateRolesResponse =
  UserUpdateRolesResponses[keyof UserUpdateRolesResponses];

export type UserResendInvitationData = {
  body?: never;
  path: {
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: never;
  url: "/ui/users/{uid}/invitation";
};

export type UserResendInvitationErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type UserResendInvitationError =
  UserResendInvitationErrors[keyof UserResendInvitationErrors];

export type UserResendInvitationResponses = {
  /**
   * Successful Response
   */
  200: UserOutExtended;
};

export type UserResendInvitationResponse =
  UserResendInvitationResponses[keyof UserResendInvitationResponses];

export type S3KeyGetUserKeysData = {
  body?: never;
  path: {
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: never;
  url: "/ui/users/{uid}/keys";
};

export type S3KeyGetUserKeysErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type S3KeyGetUserKeysError =
  S3KeyGetUserKeysErrors[keyof S3KeyGetUserKeysErrors];

export type S3KeyGetUserKeysResponses = {
  /**
   * Successful Response
   */
  200: Array<S3Key>;
};

export type S3KeyGetUserKeysResponse =
  S3KeyGetUserKeysResponses[keyof S3KeyGetUserKeysResponses];

export type S3KeyCreateUserKeyData = {
  body?: never;
  path: {
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: never;
  url: "/ui/users/{uid}/keys";
};

export type S3KeyCreateUserKeyErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type S3KeyCreateUserKeyError =
  S3KeyCreateUserKeyErrors[keyof S3KeyCreateUserKeyErrors];

export type S3KeyCreateUserKeyResponses = {
  /**
   * Successful Response
   */
  201: S3Key;
};

export type S3KeyCreateUserKeyResponse =
  S3KeyCreateUserKeyResponses[keyof S3KeyCreateUserKeyResponses];

export type S3KeyDeleteUserKeyData = {
  body?: never;
  path: {
    /**
     * ID of the S3 access key
     */
    access_id: string;
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: never;
  url: "/ui/users/{uid}/keys/{access_id}";
};

export type S3KeyDeleteUserKeyErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type S3KeyDeleteUserKeyError =
  S3KeyDeleteUserKeyErrors[keyof S3KeyDeleteUserKeyErrors];

export type S3KeyDeleteUserKeyResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type S3KeyDeleteUserKeyResponse =
  S3KeyDeleteUserKeyResponses[keyof S3KeyDeleteUserKeyResponses];

export type S3KeyGetUserKeyData = {
  body?: never;
  path: {
    /**
     * ID of the S3 access key
     */
    access_id: string;
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: never;
  url: "/ui/users/{uid}/keys/{access_id}";
};

export type S3KeyGetUserKeyErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type S3KeyGetUserKeyError =
  S3KeyGetUserKeyErrors[keyof S3KeyGetUserKeyErrors];

export type S3KeyGetUserKeyResponses = {
  /**
   * Successful Response
   */
  200: S3Key;
};

export type S3KeyGetUserKeyResponse =
  S3KeyGetUserKeyResponses[keyof S3KeyGetUserKeyResponses];

export type BucketListBucketsData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * UID of the user for whom to fetch the buckets for. Permission `bucket:read_any` required if current user is not the target.
     */
    owner_id?: string | null;
    /**
     * Type of the bucket to get. Ignored when `user` parameter not set
     */
    bucket_type?: BucketType;
  };
  url: "/ui/buckets";
};

export type BucketListBucketsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketListBucketsError =
  BucketListBucketsErrors[keyof BucketListBucketsErrors];

export type BucketListBucketsResponses = {
  /**
   * Successful Response
   */
  200: Array<BucketOut>;
};

export type BucketListBucketsResponse =
  BucketListBucketsResponses[keyof BucketListBucketsResponses];

export type BucketCreateBucketData = {
  /**
   * Meta-data for bucket to create
   */
  body: BucketIn;
  path?: never;
  query?: never;
  url: "/ui/buckets";
};

export type BucketCreateBucketErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketCreateBucketError =
  BucketCreateBucketErrors[keyof BucketCreateBucketErrors];

export type BucketCreateBucketResponses = {
  /**
   * Successful Response
   */
  201: BucketOut;
};

export type BucketCreateBucketResponse =
  BucketCreateBucketResponses[keyof BucketCreateBucketResponses];

export type BucketListBucketOtrsData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * UID of user who is the current owner.
     */
    current_owner_id?: string | null;
    /**
     * UID of user who will be the new owner.
     */
    new_owner_id?: string | null;
  };
  url: "/ui/buckets/ownership_transfer_request";
};

export type BucketListBucketOtrsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketListBucketOtrsError =
  BucketListBucketOtrsErrors[keyof BucketListBucketOtrsErrors];

export type BucketListBucketOtrsResponses = {
  /**
   * Successful Response
   */
  200: Array<OwnershipTransferRequestOut>;
};

export type BucketListBucketOtrsResponse =
  BucketListBucketOtrsResponses[keyof BucketListBucketOtrsResponses];

export type BucketDeleteBucketData = {
  body?: never;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
  };
  query?: {
    /**
     * Delete even non-empty bucket
     */
    force_delete?: boolean;
  };
  url: "/ui/buckets/{bucket_name}";
};

export type BucketDeleteBucketErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketDeleteBucketError =
  BucketDeleteBucketErrors[keyof BucketDeleteBucketErrors];

export type BucketDeleteBucketResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type BucketDeleteBucketResponse =
  BucketDeleteBucketResponses[keyof BucketDeleteBucketResponses];

export type BucketGetBucketData = {
  body?: never;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
  };
  query?: never;
  url: "/ui/buckets/{bucket_name}";
};

export type BucketGetBucketErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketGetBucketError =
  BucketGetBucketErrors[keyof BucketGetBucketErrors];

export type BucketGetBucketResponses = {
  /**
   * Successful Response
   */
  200: BucketOut;
};

export type BucketGetBucketResponse =
  BucketGetBucketResponses[keyof BucketGetBucketResponses];

export type BucketDeleteBucketOtrData = {
  body?: never;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
  };
  query?: never;
  url: "/ui/buckets/{bucket_name}/ownership_transfer_request";
};

export type BucketDeleteBucketOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketDeleteBucketOtrError =
  BucketDeleteBucketOtrErrors[keyof BucketDeleteBucketOtrErrors];

export type BucketDeleteBucketOtrResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type BucketDeleteBucketOtrResponse =
  BucketDeleteBucketOtrResponses[keyof BucketDeleteBucketOtrResponses];

export type BucketGetBucketOtrData = {
  body?: never;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
  };
  query?: never;
  url: "/ui/buckets/{bucket_name}/ownership_transfer_request";
};

export type BucketGetBucketOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketGetBucketOtrError =
  BucketGetBucketOtrErrors[keyof BucketGetBucketOtrErrors];

export type BucketGetBucketOtrResponses = {
  /**
   * Successful Response
   */
  200: OwnershipTransferRequestOut;
};

export type BucketGetBucketOtrResponse =
  BucketGetBucketOtrResponses[keyof BucketGetBucketOtrResponses];

export type BucketAcceptBucketOtrData = {
  body?: never;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
  };
  query?: never;
  url: "/ui/buckets/{bucket_name}/ownership_transfer_request";
};

export type BucketAcceptBucketOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketAcceptBucketOtrError =
  BucketAcceptBucketOtrErrors[keyof BucketAcceptBucketOtrErrors];

export type BucketAcceptBucketOtrResponses = {
  /**
   * Successful Response
   */
  200: BucketOut;
};

export type BucketAcceptBucketOtrResponse =
  BucketAcceptBucketOtrResponses[keyof BucketAcceptBucketOtrResponses];

export type BucketCreateBucketOtrData = {
  /**
   * Meta-data for the bucket OTR to create
   */
  body: OwnershipTransferRequestIn;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
  };
  query?: never;
  url: "/ui/buckets/{bucket_name}/ownership_transfer_request";
};

export type BucketCreateBucketOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketCreateBucketOtrError =
  BucketCreateBucketOtrErrors[keyof BucketCreateBucketOtrErrors];

export type BucketCreateBucketOtrResponses = {
  /**
   * Successful Response
   */
  201: OwnershipTransferRequestOut;
};

export type BucketCreateBucketOtrResponse =
  BucketCreateBucketOtrResponses[keyof BucketCreateBucketOtrResponses];

export type BucketUpdateBucketPublicStateData = {
  body: BodyBucketUpdateBucketPublicState;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
  };
  query?: never;
  url: "/ui/buckets/{bucket_name}/public";
};

export type BucketUpdateBucketPublicStateErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketUpdateBucketPublicStateError =
  BucketUpdateBucketPublicStateErrors[keyof BucketUpdateBucketPublicStateErrors];

export type BucketUpdateBucketPublicStateResponses = {
  /**
   * Successful Response
   */
  200: BucketOut;
};

export type BucketUpdateBucketPublicStateResponse =
  BucketUpdateBucketPublicStateResponses[keyof BucketUpdateBucketPublicStateResponses];

export type BucketUpdateBucketLimitsData = {
  /**
   * New size limits for bucket
   */
  body: BucketSizeLimits;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
  };
  query?: never;
  url: "/ui/buckets/{bucket_name}/limits";
};

export type BucketUpdateBucketLimitsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketUpdateBucketLimitsError =
  BucketUpdateBucketLimitsErrors[keyof BucketUpdateBucketLimitsErrors];

export type BucketUpdateBucketLimitsResponses = {
  /**
   * Successful Response
   */
  200: BucketOut;
};

export type BucketUpdateBucketLimitsResponse =
  BucketUpdateBucketLimitsResponses[keyof BucketUpdateBucketLimitsResponses];

export type BucketPermissionListPermissionsData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * Scopes of Bucket Permissions to fetch
     */
    permission_scopes?: Array<"read" | "write"> | null;
    /**
     * Status of Bucket Permissions to fetch
     */
    permission_status?: PermissionStatus | null;
  };
  url: "/ui/permissions";
};

export type BucketPermissionListPermissionsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketPermissionListPermissionsError =
  BucketPermissionListPermissionsErrors[keyof BucketPermissionListPermissionsErrors];

export type BucketPermissionListPermissionsResponses = {
  /**
   * Successful Response
   */
  200: Array<BucketPermissionOut>;
};

export type BucketPermissionListPermissionsResponse =
  BucketPermissionListPermissionsResponses[keyof BucketPermissionListPermissionsResponses];

export type BucketPermissionCreatePermissionData = {
  /**
   * Permission to create
   */
  body: BucketPermissionIn;
  path?: never;
  query?: never;
  url: "/ui/permissions";
};

export type BucketPermissionCreatePermissionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketPermissionCreatePermissionError =
  BucketPermissionCreatePermissionErrors[keyof BucketPermissionCreatePermissionErrors];

export type BucketPermissionCreatePermissionResponses = {
  /**
   * Successful Response
   */
  201: BucketPermissionOut;
};

export type BucketPermissionCreatePermissionResponse =
  BucketPermissionCreatePermissionResponses[keyof BucketPermissionCreatePermissionResponses];

export type BucketPermissionListPermissionsPerUserData = {
  body?: never;
  path: {
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: {
    /**
     * Scopes of Bucket Permissions to fetch
     */
    permission_scopes?: Array<"read" | "write"> | null;
    /**
     * Status of Bucket Permissions to fetch
     */
    permission_status?: PermissionStatus | null;
  };
  url: "/ui/permissions/user/{uid}";
};

export type BucketPermissionListPermissionsPerUserErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketPermissionListPermissionsPerUserError =
  BucketPermissionListPermissionsPerUserErrors[keyof BucketPermissionListPermissionsPerUserErrors];

export type BucketPermissionListPermissionsPerUserResponses = {
  /**
   * Successful Response
   */
  200: Array<BucketPermissionOut>;
};

export type BucketPermissionListPermissionsPerUserResponse =
  BucketPermissionListPermissionsPerUserResponses[keyof BucketPermissionListPermissionsPerUserResponses];

export type BucketPermissionListPermissionsPerBucketData = {
  body?: never;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
  };
  query?: {
    /**
     * Scopes of Bucket Permissions to fetch
     */
    permission_scopes?: Array<"read" | "write"> | null;
    /**
     * Status of Bucket Permissions to fetch
     */
    permission_status?: PermissionStatus | null;
  };
  url: "/ui/permissions/bucket/{bucket_name}";
};

export type BucketPermissionListPermissionsPerBucketErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketPermissionListPermissionsPerBucketError =
  BucketPermissionListPermissionsPerBucketErrors[keyof BucketPermissionListPermissionsPerBucketErrors];

export type BucketPermissionListPermissionsPerBucketResponses = {
  /**
   * Successful Response
   */
  200: Array<BucketPermissionOut>;
};

export type BucketPermissionListPermissionsPerBucketResponse =
  BucketPermissionListPermissionsPerBucketResponses[keyof BucketPermissionListPermissionsPerBucketResponses];

export type BucketPermissionDeletePermissionData = {
  body?: never;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: never;
  url: "/ui/permissions/bucket/{bucket_name}/user/{uid}";
};

export type BucketPermissionDeletePermissionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketPermissionDeletePermissionError =
  BucketPermissionDeletePermissionErrors[keyof BucketPermissionDeletePermissionErrors];

export type BucketPermissionDeletePermissionResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type BucketPermissionDeletePermissionResponse =
  BucketPermissionDeletePermissionResponses[keyof BucketPermissionDeletePermissionResponses];

export type BucketPermissionGetPermissionData = {
  body?: never;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: never;
  url: "/ui/permissions/bucket/{bucket_name}/user/{uid}";
};

export type BucketPermissionGetPermissionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketPermissionGetPermissionError =
  BucketPermissionGetPermissionErrors[keyof BucketPermissionGetPermissionErrors];

export type BucketPermissionGetPermissionResponses = {
  /**
   * Successful Response
   */
  200: BucketPermissionOut;
};

export type BucketPermissionGetPermissionResponse =
  BucketPermissionGetPermissionResponses[keyof BucketPermissionGetPermissionResponses];

export type BucketPermissionUpdatePermissionData = {
  /**
   * Permission to create
   */
  body: BucketPermissionParameters;
  path: {
    /**
     * Name of a bucket
     */
    bucket_name: string;
    /**
     * UID of a user
     */
    uid: string;
  };
  query?: never;
  url: "/ui/permissions/bucket/{bucket_name}/user/{uid}";
};

export type BucketPermissionUpdatePermissionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type BucketPermissionUpdatePermissionError =
  BucketPermissionUpdatePermissionErrors[keyof BucketPermissionUpdatePermissionErrors];

export type BucketPermissionUpdatePermissionResponses = {
  /**
   * Successful Response
   */
  200: BucketPermissionOut;
};

export type BucketPermissionUpdatePermissionResponse =
  BucketPermissionUpdatePermissionResponses[keyof BucketPermissionUpdatePermissionResponses];

export type WorkflowListWorkflowsData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * Filter workflows by a substring in their name.
     */
    name_substring?: string | null;
    /**
     * Which versions of the workflow to include in the response. Permission `workflow:list_filter` required, unless `developer_id` is provided and current user is developer, then only permission `workflow:list` required. Default `PUBLISHED` and `DEPRECATED`.
     */
    version_status?: Array<WorkflowVersionStatus> | null;
    /**
     * Filter for workflow by developer. If current user is the developer, permission `workflow:list` required, otherwise `workflow:list_filter`.
     */
    developer_id?: string | null;
  };
  url: "/ui/workflows";
};

export type WorkflowListWorkflowsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowListWorkflowsError =
  WorkflowListWorkflowsErrors[keyof WorkflowListWorkflowsErrors];

export type WorkflowListWorkflowsResponses = {
  /**
   * Successful Response
   */
  200: Array<WorkflowOut>;
};

export type WorkflowListWorkflowsResponse =
  WorkflowListWorkflowsResponses[keyof WorkflowListWorkflowsResponses];

export type WorkflowCreateWorkflowData = {
  /**
   * Meta-date for the workflow to create
   */
  body: WorkflowIn;
  path?: never;
  query?: never;
  url: "/ui/workflows";
};

export type WorkflowCreateWorkflowErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowCreateWorkflowError =
  WorkflowCreateWorkflowErrors[keyof WorkflowCreateWorkflowErrors];

export type WorkflowCreateWorkflowResponses = {
  /**
   * Successful Response
   */
  201: WorkflowOut;
};

export type WorkflowCreateWorkflowResponse =
  WorkflowCreateWorkflowResponses[keyof WorkflowCreateWorkflowResponses];

export type WorkflowListWorkflowOtrsData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * UID of user who is the current owner.
     */
    current_owner_id?: string | null;
    /**
     * UID of user who will be the new owner.
     */
    new_owner_id?: string | null;
  };
  url: "/ui/workflows/ownership_transfer_request";
};

export type WorkflowListWorkflowOtrsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowListWorkflowOtrsError =
  WorkflowListWorkflowOtrsErrors[keyof WorkflowListWorkflowOtrsErrors];

export type WorkflowListWorkflowOtrsResponses = {
  /**
   * Successful Response
   */
  200: Array<OwnershipTransferRequestOut>;
};

export type WorkflowListWorkflowOtrsResponse =
  WorkflowListWorkflowOtrsResponses[keyof WorkflowListWorkflowOtrsResponses];

export type WorkflowGetDeveloperWorkflowStatisticsData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * Filter by the developer of the workflows
     */
    developer_id?: string | null;
    /**
     * Filter by workflow IDs
     */
    workflow_id?: Array<string> | null;
    /**
     * Filter by workflow executions after this date
     */
    start?: string | null;
    /**
     * Filter by workflow executions before this date
     */
    end?: string | null;
  };
  url: "/ui/workflows/developer_statistics";
};

export type WorkflowGetDeveloperWorkflowStatisticsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowGetDeveloperWorkflowStatisticsError =
  WorkflowGetDeveloperWorkflowStatisticsErrors[keyof WorkflowGetDeveloperWorkflowStatisticsErrors];

export type WorkflowGetDeveloperWorkflowStatisticsResponses = {
  /**
   * Successful Response
   */
  200: Array<AnonymizedWorkflowExecution>;
};

export type WorkflowGetDeveloperWorkflowStatisticsResponse =
  WorkflowGetDeveloperWorkflowStatisticsResponses[keyof WorkflowGetDeveloperWorkflowStatisticsResponses];

export type WorkflowDeleteWorkflowData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}";
};

export type WorkflowDeleteWorkflowErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowDeleteWorkflowError =
  WorkflowDeleteWorkflowErrors[keyof WorkflowDeleteWorkflowErrors];

export type WorkflowDeleteWorkflowResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type WorkflowDeleteWorkflowResponse =
  WorkflowDeleteWorkflowResponses[keyof WorkflowDeleteWorkflowResponses];

export type WorkflowGetWorkflowData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: {
    /**
     * Which versions of the workflow to include in the response. Permission `workflow:read_any` required if you are not the developer of this workflow. Default `PUBLISHED` and `DEPRECATED`
     */
    version_status?: Array<WorkflowVersionStatus> | null;
  };
  url: "/ui/workflows/{wid}";
};

export type WorkflowGetWorkflowErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowGetWorkflowError =
  WorkflowGetWorkflowErrors[keyof WorkflowGetWorkflowErrors];

export type WorkflowGetWorkflowResponses = {
  /**
   * Successful Response
   */
  200: WorkflowOut;
};

export type WorkflowGetWorkflowResponse =
  WorkflowGetWorkflowResponses[keyof WorkflowGetWorkflowResponses];

export type WorkflowDeleteWorkflowOtrData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/ownership_transfer_request";
};

export type WorkflowDeleteWorkflowOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowDeleteWorkflowOtrError =
  WorkflowDeleteWorkflowOtrErrors[keyof WorkflowDeleteWorkflowOtrErrors];

export type WorkflowDeleteWorkflowOtrResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type WorkflowDeleteWorkflowOtrResponse =
  WorkflowDeleteWorkflowOtrResponses[keyof WorkflowDeleteWorkflowOtrResponses];

export type WorkflowGetWorkflowOtrData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/ownership_transfer_request";
};

export type WorkflowGetWorkflowOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowGetWorkflowOtrError =
  WorkflowGetWorkflowOtrErrors[keyof WorkflowGetWorkflowOtrErrors];

export type WorkflowGetWorkflowOtrResponses = {
  /**
   * Successful Response
   */
  200: OwnershipTransferRequestOut;
};

export type WorkflowGetWorkflowOtrResponse =
  WorkflowGetWorkflowOtrResponses[keyof WorkflowGetWorkflowOtrResponses];

export type WorkflowAcceptWorkflowOtrData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/ownership_transfer_request";
};

export type WorkflowAcceptWorkflowOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowAcceptWorkflowOtrError =
  WorkflowAcceptWorkflowOtrErrors[keyof WorkflowAcceptWorkflowOtrErrors];

export type WorkflowAcceptWorkflowOtrResponses = {
  /**
   * Successful Response
   */
  200: WorkflowOut;
};

export type WorkflowAcceptWorkflowOtrResponse =
  WorkflowAcceptWorkflowOtrResponses[keyof WorkflowAcceptWorkflowOtrResponses];

export type WorkflowCreateWorkflowOtrData = {
  /**
   * Meta-data for workflow OTR to create
   */
  body: OwnershipTransferRequestIn;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/ownership_transfer_request";
};

export type WorkflowCreateWorkflowOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowCreateWorkflowOtrError =
  WorkflowCreateWorkflowOtrErrors[keyof WorkflowCreateWorkflowOtrErrors];

export type WorkflowCreateWorkflowOtrResponses = {
  /**
   * Successful Response
   */
  201: OwnershipTransferRequestOut;
};

export type WorkflowCreateWorkflowOtrResponse =
  WorkflowCreateWorkflowOtrResponses[keyof WorkflowCreateWorkflowOtrResponses];

export type WorkflowGetWorkflowStatisticsData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/statistics";
};

export type WorkflowGetWorkflowStatisticsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowGetWorkflowStatisticsError =
  WorkflowGetWorkflowStatisticsErrors[keyof WorkflowGetWorkflowStatisticsErrors];

export type WorkflowGetWorkflowStatisticsResponses = {
  /**
   * Successful Response
   */
  200: Array<WorkflowStatistic>;
};

export type WorkflowGetWorkflowStatisticsResponse =
  WorkflowGetWorkflowStatisticsResponses[keyof WorkflowGetWorkflowStatisticsResponses];

export type WorkflowUpdateWorkflowData = {
  /**
   * Meta-data for the workflow version to create
   */
  body: WorkflowUpdate;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/update";
};

export type WorkflowUpdateWorkflowErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowUpdateWorkflowError =
  WorkflowUpdateWorkflowErrors[keyof WorkflowUpdateWorkflowErrors];

export type WorkflowUpdateWorkflowResponses = {
  /**
   * Successful Response
   */
  201: WorkflowVersionOut;
};

export type WorkflowUpdateWorkflowResponse =
  WorkflowUpdateWorkflowResponses[keyof WorkflowUpdateWorkflowResponses];

export type WorkflowVersionListWorkflowVersionData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: {
    /**
     * Which versions of the workflow to include in the response. Permission `workflow:list_filter` required if you are not the developer of this workflow. Default `PUBLISHED` and `DEPRECATED`
     */
    version_status?: Array<WorkflowVersionStatus> | null;
  };
  url: "/ui/workflows/{wid}/versions";
};

export type WorkflowVersionListWorkflowVersionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowVersionListWorkflowVersionError =
  WorkflowVersionListWorkflowVersionErrors[keyof WorkflowVersionListWorkflowVersionErrors];

export type WorkflowVersionListWorkflowVersionResponses = {
  /**
   * Successful Response
   */
  200: Array<WorkflowVersionOut>;
};

export type WorkflowVersionListWorkflowVersionResponse =
  WorkflowVersionListWorkflowVersionResponses[keyof WorkflowVersionListWorkflowVersionResponses];

export type WorkflowVersionGetWorkflowVersionData = {
  body?: never;
  path: {
    /**
     * Git commit `git_commit_hash` of specific version or `latest`.
     */
    git_commit_hash: string;
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/versions/{git_commit_hash}";
};

export type WorkflowVersionGetWorkflowVersionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowVersionGetWorkflowVersionError =
  WorkflowVersionGetWorkflowVersionErrors[keyof WorkflowVersionGetWorkflowVersionErrors];

export type WorkflowVersionGetWorkflowVersionResponses = {
  /**
   * Successful Response
   */
  200: WorkflowVersionOut;
};

export type WorkflowVersionGetWorkflowVersionResponse =
  WorkflowVersionGetWorkflowVersionResponses[keyof WorkflowVersionGetWorkflowVersionResponses];

export type WorkflowVersionUpdateWorkflowVersionStatusData = {
  /**
   * New Status of the workflow version
   */
  body: WorkflowVersionStatusSchema;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
    /**
     * Git commit git_commit_hash of specific version.
     */
    git_commit_hash: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/versions/{git_commit_hash}/status";
};

export type WorkflowVersionUpdateWorkflowVersionStatusErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowVersionUpdateWorkflowVersionStatusError =
  WorkflowVersionUpdateWorkflowVersionStatusErrors[keyof WorkflowVersionUpdateWorkflowVersionStatusErrors];

export type WorkflowVersionUpdateWorkflowVersionStatusResponses = {
  /**
   * Successful Response
   */
  200: WorkflowVersionOut;
};

export type WorkflowVersionUpdateWorkflowVersionStatusResponse =
  WorkflowVersionUpdateWorkflowVersionStatusResponses[keyof WorkflowVersionUpdateWorkflowVersionStatusResponses];

export type WorkflowVersionGetWorkflowVersionMetadataData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
    /**
     * Git commit git_commit_hash of specific version.
     */
    git_commit_hash: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/versions/{git_commit_hash}/metadata";
};

export type WorkflowVersionGetWorkflowVersionMetadataErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowVersionGetWorkflowVersionMetadataError =
  WorkflowVersionGetWorkflowVersionMetadataErrors[keyof WorkflowVersionGetWorkflowVersionMetadataErrors];

export type WorkflowVersionGetWorkflowVersionMetadataResponses = {
  /**
   * Successful Response
   */
  200: WorkflowVersionMetadataOut;
};

export type WorkflowVersionGetWorkflowVersionMetadataResponse =
  WorkflowVersionGetWorkflowVersionMetadataResponses[keyof WorkflowVersionGetWorkflowVersionMetadataResponses];

export type WorkflowVersionUpdateWorkflowVersionMetadataData = {
  body: WorkflowVersionMetadataIn;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
    /**
     * Git commit git_commit_hash of specific version.
     */
    git_commit_hash: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/versions/{git_commit_hash}/metadata";
};

export type WorkflowVersionUpdateWorkflowVersionMetadataErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowVersionUpdateWorkflowVersionMetadataError =
  WorkflowVersionUpdateWorkflowVersionMetadataErrors[keyof WorkflowVersionUpdateWorkflowVersionMetadataErrors];

export type WorkflowVersionUpdateWorkflowVersionMetadataResponses = {
  /**
   * Successful Response
   */
  200: WorkflowVersionMetadataOut;
};

export type WorkflowVersionUpdateWorkflowVersionMetadataResponse =
  WorkflowVersionUpdateWorkflowVersionMetadataResponses[keyof WorkflowVersionUpdateWorkflowVersionMetadataResponses];

export type WorkflowVersionDeprecateWorkflowVersionData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
    /**
     * Git commit git_commit_hash of specific version.
     */
    git_commit_hash: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/versions/{git_commit_hash}/deprecate";
};

export type WorkflowVersionDeprecateWorkflowVersionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowVersionDeprecateWorkflowVersionError =
  WorkflowVersionDeprecateWorkflowVersionErrors[keyof WorkflowVersionDeprecateWorkflowVersionErrors];

export type WorkflowVersionDeprecateWorkflowVersionResponses = {
  /**
   * Successful Response
   */
  200: WorkflowVersionOut;
};

export type WorkflowVersionDeprecateWorkflowVersionResponse =
  WorkflowVersionDeprecateWorkflowVersionResponses[keyof WorkflowVersionDeprecateWorkflowVersionResponses];

export type WorkflowVersionUpdateWorkflowVersionParameterExtensionData = {
  /**
   * Parameter extension specific for this CloWM instance
   */
  body: ParameterExtensionInput;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
    /**
     * Git commit git_commit_hash of specific version.
     */
    git_commit_hash: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/versions/{git_commit_hash}/parameter-extension";
};

export type WorkflowVersionUpdateWorkflowVersionParameterExtensionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowVersionUpdateWorkflowVersionParameterExtensionError =
  WorkflowVersionUpdateWorkflowVersionParameterExtensionErrors[keyof WorkflowVersionUpdateWorkflowVersionParameterExtensionErrors];

export type WorkflowVersionUpdateWorkflowVersionParameterExtensionResponses = {
  /**
   * Successful Response
   */
  200: WorkflowVersionOut;
};

export type WorkflowVersionUpdateWorkflowVersionParameterExtensionResponse =
  WorkflowVersionUpdateWorkflowVersionParameterExtensionResponses[keyof WorkflowVersionUpdateWorkflowVersionParameterExtensionResponses];

export type WorkflowVersionDownloadWorkflowDocumentationData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
    /**
     * Git commit git_commit_hash of specific version.
     */
    git_commit_hash: string;
  };
  query?: {
    /**
     * Specify which type of documentation the client wants to fetch
     */
    document?: DocumentationEnum;
    /**
     * Workflow Mode
     */
    mode_id?: string | null;
  };
  url: "/ui/workflows/{wid}/versions/{git_commit_hash}/documentation";
};

export type WorkflowVersionDownloadWorkflowDocumentationErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowVersionDownloadWorkflowDocumentationError =
  WorkflowVersionDownloadWorkflowDocumentationErrors[keyof WorkflowVersionDownloadWorkflowDocumentationErrors];

export type WorkflowVersionDownloadWorkflowDocumentationResponses = {
  /**
   * Successful Response
   */
  200: unknown;
};

export type WorkflowVersionDeleteWorkflowVersionIconData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
    /**
     * Git commit git_commit_hash of specific version.
     */
    git_commit_hash: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/versions/{git_commit_hash}/icon";
};

export type WorkflowVersionDeleteWorkflowVersionIconErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowVersionDeleteWorkflowVersionIconError =
  WorkflowVersionDeleteWorkflowVersionIconErrors[keyof WorkflowVersionDeleteWorkflowVersionIconErrors];

export type WorkflowVersionDeleteWorkflowVersionIconResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type WorkflowVersionDeleteWorkflowVersionIconResponse =
  WorkflowVersionDeleteWorkflowVersionIconResponses[keyof WorkflowVersionDeleteWorkflowVersionIconResponses];

export type WorkflowVersionUploadWorkflowVersionIconData = {
  body: BodyWorkflowVersionUploadWorkflowVersionIcon;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
    /**
     * Git commit git_commit_hash of specific version.
     */
    git_commit_hash: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/versions/{git_commit_hash}/icon";
};

export type WorkflowVersionUploadWorkflowVersionIconErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowVersionUploadWorkflowVersionIconError =
  WorkflowVersionUploadWorkflowVersionIconErrors[keyof WorkflowVersionUploadWorkflowVersionIconErrors];

export type WorkflowVersionUploadWorkflowVersionIconResponses = {
  /**
   * Successful Response
   */
  201: IconUpdateOut;
};

export type WorkflowVersionUploadWorkflowVersionIconResponse =
  WorkflowVersionUploadWorkflowVersionIconResponses[keyof WorkflowVersionUploadWorkflowVersionIconResponses];

export type WorkflowExecutionListWorkflowExecutionsData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * Filter for workflow executions by a user. If none, Permission `workflow_execution:read_any` required.
     */
    executor_id?: string | null;
    /**
     * Filter for status of workflow execution
     */
    execution_status?: Array<WorkflowExecutionStatus> | null;
    /**
     * Filter for workflow version
     */
    workflow_version_id?: string | null;
    /**
     * Filter for workflow
     */
    workflow_id?: string | null;
    /**
     * Filter for workflow executions that started after this UNIX timestamp
     */
    start_after?: number | null;
    /**
     * Filter for workflow executions that started before this UNIX timestamp
     */
    start_before?: number | null;
    /**
     * Id of the item to start the query from. DO NOT SET MANUALLY.
     */
    id_after?: string | null;
    /**
     * Number of items to list per page
     */
    per_page?: number;
    /**
     * Sort order of items with creation time
     */
    sort?: "asc" | "desc";
  };
  url: "/ui/workflow_executions";
};

export type WorkflowExecutionListWorkflowExecutionsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowExecutionListWorkflowExecutionsError =
  WorkflowExecutionListWorkflowExecutionsErrors[keyof WorkflowExecutionListWorkflowExecutionsErrors];

export type WorkflowExecutionListWorkflowExecutionsResponses = {
  /**
   * Successful Response
   */
  200: Array<WorkflowExecutionOut>;
};

export type WorkflowExecutionListWorkflowExecutionsResponse =
  WorkflowExecutionListWorkflowExecutionsResponses[keyof WorkflowExecutionListWorkflowExecutionsResponses];

export type WorkflowExecutionStartWorkflowData = {
  /**
   * Meta-data and parameters for the workflow to start
   */
  body: WorkflowExecutionIn;
  path?: never;
  query?: never;
  url: "/ui/workflow_executions";
};

export type WorkflowExecutionStartWorkflowErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowExecutionStartWorkflowError =
  WorkflowExecutionStartWorkflowErrors[keyof WorkflowExecutionStartWorkflowErrors];

export type WorkflowExecutionStartWorkflowResponses = {
  /**
   * Successful Response
   */
  201: WorkflowExecutionOut;
};

export type WorkflowExecutionStartWorkflowResponse =
  WorkflowExecutionStartWorkflowResponses[keyof WorkflowExecutionStartWorkflowResponses];

export type WorkflowExecutionStartArbitraryWorkflowData = {
  /**
   * Meta-data and parameters for the workflow to start
   */
  body: DevWorkflowExecutionIn;
  path?: never;
  query?: never;
  url: "/ui/workflow_executions/arbitrary";
};

export type WorkflowExecutionStartArbitraryWorkflowErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowExecutionStartArbitraryWorkflowError =
  WorkflowExecutionStartArbitraryWorkflowErrors[keyof WorkflowExecutionStartArbitraryWorkflowErrors];

export type WorkflowExecutionStartArbitraryWorkflowResponses = {
  /**
   * Successful Response
   */
  201: WorkflowExecutionOut;
};

export type WorkflowExecutionStartArbitraryWorkflowResponse =
  WorkflowExecutionStartArbitraryWorkflowResponses[keyof WorkflowExecutionStartArbitraryWorkflowResponses];

export type WorkflowExecutionDeleteWorkflowExecutionData = {
  body?: never;
  path: {
    /**
     * ID of a workflow execution.
     */
    eid: string;
  };
  query?: never;
  url: "/ui/workflow_executions/{eid}";
};

export type WorkflowExecutionDeleteWorkflowExecutionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowExecutionDeleteWorkflowExecutionError =
  WorkflowExecutionDeleteWorkflowExecutionErrors[keyof WorkflowExecutionDeleteWorkflowExecutionErrors];

export type WorkflowExecutionDeleteWorkflowExecutionResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type WorkflowExecutionDeleteWorkflowExecutionResponse =
  WorkflowExecutionDeleteWorkflowExecutionResponses[keyof WorkflowExecutionDeleteWorkflowExecutionResponses];

export type WorkflowExecutionGetWorkflowExecutionData = {
  body?: never;
  path: {
    /**
     * ID of a workflow execution.
     */
    eid: string;
  };
  query?: never;
  url: "/ui/workflow_executions/{eid}";
};

export type WorkflowExecutionGetWorkflowExecutionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowExecutionGetWorkflowExecutionError =
  WorkflowExecutionGetWorkflowExecutionErrors[keyof WorkflowExecutionGetWorkflowExecutionErrors];

export type WorkflowExecutionGetWorkflowExecutionResponses = {
  /**
   * Successful Response
   */
  200: WorkflowExecutionOut;
};

export type WorkflowExecutionGetWorkflowExecutionResponse =
  WorkflowExecutionGetWorkflowExecutionResponses[keyof WorkflowExecutionGetWorkflowExecutionResponses];

export type WorkflowExecutionGetWorkflowExecutionParamsData = {
  body?: never;
  path: {
    /**
     * ID of a workflow execution.
     */
    eid: string;
  };
  query?: never;
  url: "/ui/workflow_executions/{eid}/params";
};

export type WorkflowExecutionGetWorkflowExecutionParamsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowExecutionGetWorkflowExecutionParamsError =
  WorkflowExecutionGetWorkflowExecutionParamsErrors[keyof WorkflowExecutionGetWorkflowExecutionParamsErrors];

export type WorkflowExecutionGetWorkflowExecutionParamsResponses = {
  /**
   * Successful Response
   */
  200: {
    [key: string]: unknown;
  };
};

export type WorkflowExecutionGetWorkflowExecutionParamsResponse =
  WorkflowExecutionGetWorkflowExecutionParamsResponses[keyof WorkflowExecutionGetWorkflowExecutionParamsResponses];

export type WorkflowExecutionCancelWorkflowExecutionData = {
  body?: never;
  path: {
    /**
     * ID of a workflow execution.
     */
    eid: string;
  };
  query?: never;
  url: "/ui/workflow_executions/{eid}/cancel";
};

export type WorkflowExecutionCancelWorkflowExecutionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowExecutionCancelWorkflowExecutionError =
  WorkflowExecutionCancelWorkflowExecutionErrors[keyof WorkflowExecutionCancelWorkflowExecutionErrors];

export type WorkflowExecutionCancelWorkflowExecutionResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type WorkflowExecutionCancelWorkflowExecutionResponse =
  WorkflowExecutionCancelWorkflowExecutionResponses[keyof WorkflowExecutionCancelWorkflowExecutionResponses];

export type WorkflowCredentialsDeleteWorkflowCredentialsData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/credentials";
};

export type WorkflowCredentialsDeleteWorkflowCredentialsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowCredentialsDeleteWorkflowCredentialsError =
  WorkflowCredentialsDeleteWorkflowCredentialsErrors[keyof WorkflowCredentialsDeleteWorkflowCredentialsErrors];

export type WorkflowCredentialsDeleteWorkflowCredentialsResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type WorkflowCredentialsDeleteWorkflowCredentialsResponse =
  WorkflowCredentialsDeleteWorkflowCredentialsResponses[keyof WorkflowCredentialsDeleteWorkflowCredentialsResponses];

export type WorkflowCredentialsGetWorkflowCredentialsData = {
  body?: never;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/credentials";
};

export type WorkflowCredentialsGetWorkflowCredentialsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowCredentialsGetWorkflowCredentialsError =
  WorkflowCredentialsGetWorkflowCredentialsErrors[keyof WorkflowCredentialsGetWorkflowCredentialsErrors];

export type WorkflowCredentialsGetWorkflowCredentialsResponses = {
  /**
   * Successful Response
   */
  200: WorkflowCredentialsOut;
};

export type WorkflowCredentialsGetWorkflowCredentialsResponse =
  WorkflowCredentialsGetWorkflowCredentialsResponses[keyof WorkflowCredentialsGetWorkflowCredentialsResponses];

export type WorkflowCredentialsUpdateWorkflowCredentialsData = {
  /**
   * Updated credentials for the workflow git repository
   */
  body: WorkflowCredentialsIn;
  path: {
    /**
     * ID of a workflow
     */
    wid: string;
  };
  query?: never;
  url: "/ui/workflows/{wid}/credentials";
};

export type WorkflowCredentialsUpdateWorkflowCredentialsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowCredentialsUpdateWorkflowCredentialsError =
  WorkflowCredentialsUpdateWorkflowCredentialsErrors[keyof WorkflowCredentialsUpdateWorkflowCredentialsErrors];

export type WorkflowCredentialsUpdateWorkflowCredentialsResponses = {
  /**
   * Successful Response
   */
  200: unknown;
};

export type WorkflowModeGetWorkflowModeData = {
  body?: never;
  path: {
    /**
     * ID of a workflow mode
     */
    mode_id: string;
  };
  query?: never;
  url: "/ui/workflow_modes/{mode_id}";
};

export type WorkflowModeGetWorkflowModeErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type WorkflowModeGetWorkflowModeError =
  WorkflowModeGetWorkflowModeErrors[keyof WorkflowModeGetWorkflowModeErrors];

export type WorkflowModeGetWorkflowModeResponses = {
  /**
   * Successful Response
   */
  200: WorkflowModeOut;
};

export type WorkflowModeGetWorkflowModeResponse =
  WorkflowModeGetWorkflowModeResponses[keyof WorkflowModeGetWorkflowModeResponses];

export type ResourceListResourcesData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * Filter for resource by maintainer. If current user is the same as maintainer ID, permission `resource:list` required, otherwise `resource:list_filter`.
     */
    maintainer_id?: string | null;
    /**
     * Which versions of the resource to include in the response. Permission `resource:list_filter` required if None or querying for non-public resources, otherwise only permission `resource:list` required.
     */
    version_status?: Array<ResourceVersionStatus> | null;
    /**
     * Filter resources by a substring in their name.
     */
    name_substring?: string | null;
    /**
     * Filter resources to by the public flag
     */
    public?: boolean | null;
  };
  url: "/ui/resources";
};

export type ResourceListResourcesErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceListResourcesError =
  ResourceListResourcesErrors[keyof ResourceListResourcesErrors];

export type ResourceListResourcesResponses = {
  /**
   * Successful Response
   */
  200: Array<ResourceOut>;
};

export type ResourceListResourcesResponse =
  ResourceListResourcesResponses[keyof ResourceListResourcesResponses];

export type ResourceCreateResourceData = {
  /**
   * Meta-data for the resource to request
   */
  body: ResourceIn;
  path?: never;
  query?: never;
  url: "/ui/resources";
};

export type ResourceCreateResourceErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceCreateResourceError =
  ResourceCreateResourceErrors[keyof ResourceCreateResourceErrors];

export type ResourceCreateResourceResponses = {
  /**
   * Successful Response
   */
  201: ResourceOut;
};

export type ResourceCreateResourceResponse =
  ResourceCreateResourceResponses[keyof ResourceCreateResourceResponses];

export type ResourceListSyncRequestsData = {
  body?: never;
  path?: never;
  query?: never;
  url: "/ui/resources/sync_requests";
};

export type ResourceListSyncRequestsResponses = {
  /**
   * Successful Response
   */
  200: Array<UserSynchronizationRequestOut>;
};

export type ResourceListSyncRequestsResponse =
  ResourceListSyncRequestsResponses[keyof ResourceListSyncRequestsResponses];

export type ResourceListResourceOtrsData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * UID of user who is the current owner.
     */
    current_owner_id?: string | null;
    /**
     * UID of user who will be the new owner.
     */
    new_owner_id?: string | null;
  };
  url: "/ui/resources/ownership_transfer_request";
};

export type ResourceListResourceOtrsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceListResourceOtrsError =
  ResourceListResourceOtrsErrors[keyof ResourceListResourceOtrsErrors];

export type ResourceListResourceOtrsResponses = {
  /**
   * Successful Response
   */
  200: Array<OwnershipTransferRequestOut>;
};

export type ResourceListResourceOtrsResponse =
  ResourceListResourceOtrsResponses[keyof ResourceListResourceOtrsResponses];

export type ResourceDeleteResourceData = {
  body?: never;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}";
};

export type ResourceDeleteResourceErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceDeleteResourceError =
  ResourceDeleteResourceErrors[keyof ResourceDeleteResourceErrors];

export type ResourceDeleteResourceResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type ResourceDeleteResourceResponse =
  ResourceDeleteResourceResponses[keyof ResourceDeleteResourceResponses];

export type ResourceGetResourceData = {
  body?: never;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
  };
  query?: {
    /**
     * Which versions of the resource to include in the response. Permission `resource:read_any` required if None or querying for non-public resources, otherwise only permission `resource:read` required.
     */
    version_status?: Array<ResourceVersionStatus> | null;
  };
  url: "/ui/resources/{rid}";
};

export type ResourceGetResourceErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceGetResourceError =
  ResourceGetResourceErrors[keyof ResourceGetResourceErrors];

export type ResourceGetResourceResponses = {
  /**
   * Successful Response
   */
  200: ResourceOut;
};

export type ResourceGetResourceResponse =
  ResourceGetResourceResponses[keyof ResourceGetResourceResponses];

export type ResourceDeleteResourceOtrData = {
  body?: never;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/ownership_transfer_request";
};

export type ResourceDeleteResourceOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceDeleteResourceOtrError =
  ResourceDeleteResourceOtrErrors[keyof ResourceDeleteResourceOtrErrors];

export type ResourceDeleteResourceOtrResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type ResourceDeleteResourceOtrResponse =
  ResourceDeleteResourceOtrResponses[keyof ResourceDeleteResourceOtrResponses];

export type ResourceGetResourceOtrData = {
  body?: never;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/ownership_transfer_request";
};

export type ResourceGetResourceOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceGetResourceOtrError =
  ResourceGetResourceOtrErrors[keyof ResourceGetResourceOtrErrors];

export type ResourceGetResourceOtrResponses = {
  /**
   * Successful Response
   */
  200: OwnershipTransferRequestOut;
};

export type ResourceGetResourceOtrResponse =
  ResourceGetResourceOtrResponses[keyof ResourceGetResourceOtrResponses];

export type ResourceAcceptResourceOtrData = {
  body?: never;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/ownership_transfer_request";
};

export type ResourceAcceptResourceOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceAcceptResourceOtrError =
  ResourceAcceptResourceOtrErrors[keyof ResourceAcceptResourceOtrErrors];

export type ResourceAcceptResourceOtrResponses = {
  /**
   * Successful Response
   */
  200: ResourceOut;
};

export type ResourceAcceptResourceOtrResponse =
  ResourceAcceptResourceOtrResponses[keyof ResourceAcceptResourceOtrResponses];

export type ResourceCreateResourceOtrData = {
  /**
   * Meta-data for the resource OTR to create
   */
  body: OwnershipTransferRequestIn;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/ownership_transfer_request";
};

export type ResourceCreateResourceOtrErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceCreateResourceOtrError =
  ResourceCreateResourceOtrErrors[keyof ResourceCreateResourceOtrErrors];

export type ResourceCreateResourceOtrResponses = {
  /**
   * Successful Response
   */
  201: OwnershipTransferRequestOut;
};

export type ResourceCreateResourceOtrResponse =
  ResourceCreateResourceOtrResponses[keyof ResourceCreateResourceOtrResponses];

export type ResourceVersionListResourceVersionsData = {
  body?: never;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
  };
  query?: {
    /**
     * Which versions of the resource to include in the response. Permission `resource:read_any` required if None or querying for non-public resources, otherwise only permission `resource:read` required.
     */
    version_status?: Array<ResourceVersionStatus> | null;
  };
  url: "/ui/resources/{rid}/versions";
};

export type ResourceVersionListResourceVersionsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceVersionListResourceVersionsError =
  ResourceVersionListResourceVersionsErrors[keyof ResourceVersionListResourceVersionsErrors];

export type ResourceVersionListResourceVersionsResponses = {
  /**
   * Successful Response
   */
  200: Array<ResourceVersionOut>;
};

export type ResourceVersionListResourceVersionsResponse =
  ResourceVersionListResourceVersionsResponses[keyof ResourceVersionListResourceVersionsResponses];

export type ResourceVersionRequestResourceVersionData = {
  /**
   * Meta-data for the resource version to request
   */
  body: ResourceVersionIn;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/versions";
};

export type ResourceVersionRequestResourceVersionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceVersionRequestResourceVersionError =
  ResourceVersionRequestResourceVersionErrors[keyof ResourceVersionRequestResourceVersionErrors];

export type ResourceVersionRequestResourceVersionResponses = {
  /**
   * Successful Response
   */
  201: ResourceVersionOut;
};

export type ResourceVersionRequestResourceVersionResponse =
  ResourceVersionRequestResourceVersionResponses[keyof ResourceVersionRequestResourceVersionResponses];

export type ResourceVersionGetResourceVersionData = {
  body?: never;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
    /**
     * ID of a resource version
     */
    rvid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/versions/{rvid}";
};

export type ResourceVersionGetResourceVersionErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceVersionGetResourceVersionError =
  ResourceVersionGetResourceVersionErrors[keyof ResourceVersionGetResourceVersionErrors];

export type ResourceVersionGetResourceVersionResponses = {
  /**
   * Successful Response
   */
  200: ResourceVersionOut;
};

export type ResourceVersionGetResourceVersionResponse =
  ResourceVersionGetResourceVersionResponses[keyof ResourceVersionGetResourceVersionResponses];

export type ResourceVersionResourceFileTreeData = {
  body?: never;
  path: {
    /**
     * ID of a resource version
     */
    rvid: string;
    /**
     * ID of a resource
     */
    rid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/versions/{rvid}/tree";
};

export type ResourceVersionResourceFileTreeErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceVersionResourceFileTreeError =
  ResourceVersionResourceFileTreeErrors[keyof ResourceVersionResourceFileTreeErrors];

export type ResourceVersionResourceFileTreeResponses = {
  /**
   * Successful Response
   */
  200: Array<FileTree>;
};

export type ResourceVersionResourceFileTreeResponse =
  ResourceVersionResourceFileTreeResponses[keyof ResourceVersionResourceFileTreeResponses];

export type ResourceVersionRequestResourceVersionReviewData = {
  body?: never;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
    /**
     * ID of a resource version
     */
    rvid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/versions/{rvid}/request_review";
};

export type ResourceVersionRequestResourceVersionReviewErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceVersionRequestResourceVersionReviewError =
  ResourceVersionRequestResourceVersionReviewErrors[keyof ResourceVersionRequestResourceVersionReviewErrors];

export type ResourceVersionRequestResourceVersionReviewResponses = {
  /**
   * Successful Response
   */
  200: ResourceVersionOut;
};

export type ResourceVersionRequestResourceVersionReviewResponse =
  ResourceVersionRequestResourceVersionReviewResponses[keyof ResourceVersionRequestResourceVersionReviewResponses];

export type ResourceVersionRequestResourceVersionSyncData = {
  /**
   * Meta-data for the synchronization request
   */
  body: UserSynchronizationRequestIn;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
    /**
     * ID of a resource version
     */
    rvid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/versions/{rvid}/request_sync";
};

export type ResourceVersionRequestResourceVersionSyncErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceVersionRequestResourceVersionSyncError =
  ResourceVersionRequestResourceVersionSyncErrors[keyof ResourceVersionRequestResourceVersionSyncErrors];

export type ResourceVersionRequestResourceVersionSyncResponses = {
  /**
   * Successful Response
   */
  200: ResourceVersionOut;
};

export type ResourceVersionRequestResourceVersionSyncResponse =
  ResourceVersionRequestResourceVersionSyncResponses[keyof ResourceVersionRequestResourceVersionSyncResponses];

export type ResourceVersionResourceVersionReviewData = {
  /**
   * Answer for the resource version review
   */
  body: UserRequestAnswer;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
    /**
     * ID of a resource version
     */
    rvid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/versions/{rvid}/review";
};

export type ResourceVersionResourceVersionReviewErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceVersionResourceVersionReviewError =
  ResourceVersionResourceVersionReviewErrors[keyof ResourceVersionResourceVersionReviewErrors];

export type ResourceVersionResourceVersionReviewResponses = {
  /**
   * Successful Response
   */
  200: ResourceVersionOut;
};

export type ResourceVersionResourceVersionReviewResponse =
  ResourceVersionResourceVersionReviewResponses[keyof ResourceVersionResourceVersionReviewResponses];

export type ResourceVersionResourceVersionSyncData = {
  /**
   * Answer to the resource version synchronization request
   */
  body: UserRequestAnswer;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
    /**
     * ID of a resource version
     */
    rvid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/versions/{rvid}/sync";
};

export type ResourceVersionResourceVersionSyncErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceVersionResourceVersionSyncError =
  ResourceVersionResourceVersionSyncErrors[keyof ResourceVersionResourceVersionSyncErrors];

export type ResourceVersionResourceVersionSyncResponses = {
  /**
   * Successful Response
   */
  200: ResourceVersionOut;
};

export type ResourceVersionResourceVersionSyncResponse =
  ResourceVersionResourceVersionSyncResponses[keyof ResourceVersionResourceVersionSyncResponses];

export type ResourceVersionResourceVersionLatestData = {
  body?: never;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
    /**
     * ID of a resource version
     */
    rvid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/versions/{rvid}/latest";
};

export type ResourceVersionResourceVersionLatestErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceVersionResourceVersionLatestError =
  ResourceVersionResourceVersionLatestErrors[keyof ResourceVersionResourceVersionLatestErrors];

export type ResourceVersionResourceVersionLatestResponses = {
  /**
   * Successful Response
   */
  200: ResourceVersionOut;
};

export type ResourceVersionResourceVersionLatestResponse =
  ResourceVersionResourceVersionLatestResponses[keyof ResourceVersionResourceVersionLatestResponses];

export type ResourceVersionDeleteResourceVersionClusterData = {
  body?: never;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
    /**
     * ID of a resource version
     */
    rvid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/versions/{rvid}/cluster";
};

export type ResourceVersionDeleteResourceVersionClusterErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceVersionDeleteResourceVersionClusterError =
  ResourceVersionDeleteResourceVersionClusterErrors[keyof ResourceVersionDeleteResourceVersionClusterErrors];

export type ResourceVersionDeleteResourceVersionClusterResponses = {
  /**
   * Successful Response
   */
  200: ResourceVersionOut;
};

export type ResourceVersionDeleteResourceVersionClusterResponse =
  ResourceVersionDeleteResourceVersionClusterResponses[keyof ResourceVersionDeleteResourceVersionClusterResponses];

export type ResourceVersionDeleteResourceVersionS3Data = {
  body?: never;
  path: {
    /**
     * ID of a resource
     */
    rid: string;
    /**
     * ID of a resource version
     */
    rvid: string;
  };
  query?: never;
  url: "/ui/resources/{rid}/versions/{rvid}/s3";
};

export type ResourceVersionDeleteResourceVersionS3Errors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type ResourceVersionDeleteResourceVersionS3Error =
  ResourceVersionDeleteResourceVersionS3Errors[keyof ResourceVersionDeleteResourceVersionS3Errors];

export type ResourceVersionDeleteResourceVersionS3Responses = {
  /**
   * Successful Response
   */
  200: ResourceVersionOut;
};

export type ResourceVersionDeleteResourceVersionS3Response =
  ResourceVersionDeleteResourceVersionS3Responses[keyof ResourceVersionDeleteResourceVersionS3Responses];

export type NewsListNewsData = {
  body?: never;
  path?: never;
  query?: {
    /**
     * Filter for news that are created after this UNIX timestamp
     */
    created_after?: number | null;
    /**
     * Filter for news created by a specific user
     */
    creator_id?: string | null;
    /**
     * Id of the item to start the query from. DO NOT SET MANUALLY.
     */
    id_after?: string | null;
    /**
     * Number of items to list per page
     */
    per_page?: number;
    /**
     * Sort order of items with creation time
     */
    sort?: "asc" | "desc";
  };
  url: "/ui/news";
};

export type NewsListNewsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type NewsListNewsError = NewsListNewsErrors[keyof NewsListNewsErrors];

export type NewsListNewsResponses = {
  /**
   * Successful Response
   */
  200: Array<NewsOut>;
};

export type NewsListNewsResponse =
  NewsListNewsResponses[keyof NewsListNewsResponses];

export type NewsCreateNewsData = {
  /**
   * Meta-data for news event to create
   */
  body: NewsIn;
  path?: never;
  query?: never;
  url: "/ui/news";
};

export type NewsCreateNewsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type NewsCreateNewsError =
  NewsCreateNewsErrors[keyof NewsCreateNewsErrors];

export type NewsCreateNewsResponses = {
  /**
   * Successful Response
   */
  201: NewsOut;
};

export type NewsCreateNewsResponse =
  NewsCreateNewsResponses[keyof NewsCreateNewsResponses];

export type NewsListLatestNewsData = {
  body?: never;
  path?: never;
  query?: never;
  url: "/ui/news/latest";
};

export type NewsListLatestNewsResponses = {
  /**
   * Successful Response
   */
  200: Array<NewsOut>;
};

export type NewsListLatestNewsResponse =
  NewsListLatestNewsResponses[keyof NewsListLatestNewsResponses];

export type NewsDeleteNewsData = {
  body?: never;
  path: {
    /**
     * ID of a news event
     */
    nid: string;
  };
  query?: never;
  url: "/ui/news/{nid}";
};

export type NewsDeleteNewsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type NewsDeleteNewsError =
  NewsDeleteNewsErrors[keyof NewsDeleteNewsErrors];

export type NewsDeleteNewsResponses = {
  /**
   * Successful Response
   */
  204: void;
};

export type NewsDeleteNewsResponse =
  NewsDeleteNewsResponses[keyof NewsDeleteNewsResponses];

export type NewsGetNewsData = {
  body?: never;
  path: {
    /**
     * ID of a news event
     */
    nid: string;
  };
  query?: never;
  url: "/ui/news/{nid}";
};

export type NewsGetNewsErrors = {
  /**
   * Validation Error
   */
  422: HttpValidationError;
};

export type NewsGetNewsError = NewsGetNewsErrors[keyof NewsGetNewsErrors];

export type NewsGetNewsResponses = {
  /**
   * Successful Response
   */
  200: NewsOut;
};

export type NewsGetNewsResponse =
  NewsGetNewsResponses[keyof NewsGetNewsResponses];

export type PublicGetPublicWorkflowsData = {
  body?: never;
  path?: never;
  query?: never;
  url: "/ui/public/workflows";
};

export type PublicGetPublicWorkflowsResponses = {
  /**
   * Successful Response
   */
  200: Array<PublicWorkflowOut>;
};

export type PublicGetPublicWorkflowsResponse =
  PublicGetPublicWorkflowsResponses[keyof PublicGetPublicWorkflowsResponses];

export type ClientOptions = {
  baseURL: `${string}://${string}/api` | (string & {});
};
